<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="whr-google-analytics">
  <title>How to Integrate Google Analytics in WebHelp Responsive Output</title>
  <titlealts product="webhelp-responsive">
    <navtitle>How to Integrate Google Analytics</navtitle>
  </titlealts>
  <prolog>
    <metadata>
      <keywords>
        <indexterm product="author developer editor authorEclipse developerEclipse editorEclipse"
          >WebHelp Responsive<indexterm>Google Analytics</indexterm></indexterm>
        <indexterm product="webhelp-responsive ope">Google Analytics</indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <p id="p_fk4_cgk_54b">You can use <term>Google Analytics</term> to track and report site data for your <b>WebHelp
        Responsive</b> output.</p>
    <section id="using_a_script_outside_of_oxygen_xml_editorauthor">
      <title>Using a Publishing Template</title>
      <p id="p_gk4_cgk_54b">To integrate <term>Google Analytics</term> into your WebHelp Responsive output using an
          <xref keyref="wh-publishing-template"><term>Oxygen Publishing Template</term></xref>,
        follow this procedure:<ol id="ol_hk4_cgk_54b">
          <li id="li_ik4_cgk_54b">Create a new <xref href="https://analytics.google.com" format="html" scope="external"
              >Google Analytics account</xref> (if you do not already have one) and log on.</li>
          <li id="li_jk4_cgk_54b">Choose the Analytics solution that best fits the needs of your website.</li>
          <li id="li_kk4_cgk_54b">Follow the on-screen instructions to obtain a <b>Tracking Code</b> that contains your
              <i>Tracking ID</i>. A <b>Tracking Code</b> looks like
            this:<codeblock  id="codeblock_lk4_cgk_54b">&lt;script>
 (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
 (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
 m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
 })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

 ga('create', 'UA-XXXXXXXX-X', 'auto');
 ga('send', 'pageview');
&lt;/script></codeblock></li>
          <li id="li_mk4_cgk_54b">Save the Tracking Code (obtained in the previous step) in a new XML file called
              <filepath>googleAnalytics.xml</filepath>. Note that the file should only contain the
            tracking code.</li>
          <li id="li_nk4_cgk_54b">Open the <xref href="whr_publishing_template_contents.dita#template_descritpor_file"
              >template descriptor file</xref> associated with your publishing template.</li>
          <li id="li_ok4_cgk_54b">Use the <xref
              href="webhelp-responsive-plugin-additional-parameters.dita#webhelp-responsive-plugin-additional-parameters/webhelp_fragment_after_body"
                ><ph conkeyref="reusables-webhelp-output-parameters/ph_webhelp_fragment_after_body"
              /> parameter</xref> in the <i>html-fragments</i> section of the descriptor file. Set
            the value of that parameter to reference the <filepath>googleAnalytics.xml</filepath>
            file that you created earlier. The content of this file will be copied at the end of all
            generated output pages, right before the ending <xmlelement>body</xmlelement> element.
            This ensures that the page is loaded before the Google Analytics servers are contacted,
            thus reducing page loading
            time.<codeblock  id="codeblock_pk4_cgk_54b">&lt;publishing-template>
    ...
    &lt;webhelp>
        ...                
      &lt;html-fragments>
        &lt;fragment 
          file="HTML-fragments/googleAnalytics.xml" 
          placeholder="webhelp.fragment.after.body"/>
      &lt;/html-fragments>
    &lt;/webhelp></codeblock></li>
          <li id="li_qk4_cgk_54b">Open the <term>DITA Map WebHelp Responsive</term> transformation scenario.</li>
          <li id="li_rk4_cgk_54b">Click the <uicontrol>Choose Custom Publishing Template</uicontrol> link and select
            your template.</li>
          <li id="li_sk4_cgk_54b">Click <uicontrol>OK</uicontrol> to save the changes to the transformation
            scenario.</li>
          <li id="li_tk4_cgk_54b">Run the transformation scenario.</li>
        </ol></p>
    </section>
    <section id="using_oxygen_xml_editorauthor">
      <title>Using a Transformation Scenario in Oxygen XML Editor/Author</title>
      <p id="p_uk4_cgk_54b">To integrate <term>Google Analytics</term> into your WebHelp Responsive output using a
        transformation scenario from within <b>Oxygen XML Editor/Author</b>, follow this procedure:<ol id="ol_vk4_cgk_54b">
          <li id="li_wk4_cgk_54b">Create a new <xref href="https://analytics.google.com" format="html" scope="external"
              >Google Analytics account</xref> (if you do not already have one) and log on.</li>
          <li id="li_xk4_cgk_54b">Choose the Analytics solution that best fits the needs of your website.</li>
          <li id="li_yk4_cgk_54b">Follow the on-screen instructions to obtain a <b>Tracking Code</b> that contains your
              <i>Tracking ID</i>. A <b>Tracking Code</b> looks like
            this:<codeblock  id="codeblock_zk4_cgk_54b">&lt;script>
 (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
 (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
 m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
 })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

 ga('create', 'UA-XXXXXXXX-X', 'auto');
 ga('send', 'pageview');
&lt;/script></codeblock></li>
          <li id="li_al4_cgk_54b">Save the Tracking Code (obtained in the previous step) in a new XML file called
              <filepath>googleAnalytics.xml</filepath>. Note that the file should only contain the
            tracking code.</li>
          <li id="li_bl4_cgk_54b">Edit the <term>DITA Map WebHelp Responsive</term> transformation scenario and choose a
              <i>template</i>.</li>
          <li id="li_cl4_cgk_54b">Switch to the <uicontrol>Parameters</uicontrol> tab. Edit the <xref
              href="webhelp-responsive-plugin-additional-parameters.dita#webhelp-responsive-plugin-additional-parameters/webhelp_fragment_after_body"
                ><ph conkeyref="reusables-webhelp-output-parameters/ph_webhelp_fragment_after_body"
              /> parameter</xref> and set it to reference the
              <filepath>googleAnalytics.xml</filepath> file that you created earlier. The content of
            this file will be copied at the end of all generated output pages, right before the
            ending <xmlelement>body</xmlelement> element. This ensures that the page is loaded
            before the Google Analytics servers are contacted, thus reducing page loading time.</li>
          <li id="li_dl4_cgk_54b">Click <uicontrol>Ok</uicontrol> and run the transformation scenario.</li>
        </ol></p>
    </section>
  </body>
</topic>
